#!/usr/bin/env python3
"Adds a password column to a CSV file."


from subprocess import Popen, PIPE


FILEPATH = "students.csv"
SEPARATOR = ","


rowlist = list()

with open(FILEPATH, "rt") as fobj:
	for line in fobj:
		row = [cell.strip() for cell in line.split(",")]

		with Popen(["pwgen", "-1", "-n", "-c"], stdout=PIPE) as process:
			password = str(process.communicate()[0], "utf8")
			row.append(password.strip())

		rowstr = SEPARATOR.join(row)
		rowlist.append(rowstr)


data = "\n".join(rowlist)

with open(FILEPATH, "wt") as fobj:
	fobj.write(data)

