#!/usr/bin/env python3
"Adds all students to Redmine."


import json
from urllib.request import Request, urlopen


BASEREPO = "source"
USERFILE = "students.csv"
SEPARATOR = ","
USERFORMAT = ["team", "lastname", "firstname", "email", "password"]
SERVICE = "http://vhost8.lnu.se:20099/redmine/users.xml"
HEADERS = {
	"Content-Type": "application/json; charset=utf-8",
	"X-Redmine-API-Key": "void",
}


users = list()

with open(USERFILE) as fobj:
	for line in fobj:
		columns = line.strip().split(SEPARATOR)
		student = {c:columns[i].strip() for i, c in enumerate(USERFORMAT)}

		users.append({
			"user": {
				"login": student["email"].split("@")[0],
				"firstname": student["firstname"],
				"lastname": student["lastname"],
				"mail": student["email"],
				"password": student["password"],
			}
		})

for user in users:
	print("Adding {}...".format(user["user"]["login"]))

	data = json.dumps(user).encode("utf-8")
	request = Request(SERVICE, data, HEADERS)
	urlopen(request)

