#!/usr/bin/env python3
"Prints a list of students."


import sys


USERFILE = "students.csv"
SEPARATOR = ","
USERFORMAT = ["team", "lastname", "firstname", "email", "password"]


students = list()
with open(USERFILE) as fobj:
	for line in fobj:
		columns = line.strip().split(SEPARATOR)
		students.append({c:columns[i] for i, c in enumerate(USERFORMAT)})

for student in students:
	student["username"] = student["email"].split("@")[0].strip()

if len(sys.argv) == 1:
	addresses = [student["username"] for student in students]
else:
	teams = sys.argv[1:]
	addresses = [student["username"] for student in students if student["team"] in teams]


print(", ".join(addresses))

